/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// ----------
// AWI : Icon
// ----------

#ifndef AWI_H
#define AWI_H

#include "AW.h"
#include "AWVB.h"

class AWD;
class AWI : public AWVB {
 public:
  AWI (AWD *aParent, int ax, int ay, int aw, int ah,UInt8 Id, 
       const char *unpressedtilename, const char *pressedtilename);
  virtual ~AWI ();
  
  virtual bool ProcessEvent (int mouse_move, UInt16 mx, UInt16 my, 
							 int mouse_button, bool mb1, bool mb2,
							 EVT& evt);

 protected:
  virtual void Draw ();
  virtual void UnDraw ();
  virtual EVT  Leave ();

 private:
  gfxbitmap *unpressedtile;
  gfxbitmap *pressedtile;
  
};
#endif
