/*
 *  Copyright (C) 2008 Florent Bedoiseau (electronique.fb@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// ------------------------
// AWRD : Root Dialog window
// ------------------------
#ifndef AWRD_H
#define AWRD_H

#include "AWD.h"
#include <set>

class AWD;
class AWRD : public AWD {
 public:
  AWRD ();
  virtual ~AWRD ();

  int Move (int ax, int ay);
  bool IsFrontable () const { return false; }

 protected:
  virtual void Draw ();
  virtual void UnDraw ();
};
#endif
